/* .overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}
 */

*{
    margin: 0;
    padding: 0;
    font-family: 'poppins', sans-serif;
    box-sizing: border-box;
    /* z-index: 2; */
}

html{
    scroll-behavior: smooth;
}


body{
    background-color: black;
    /* z-index: 2; */
}


#header{
    width: 100%;
    height: 100vh;
    background-image: url(../images/backgroundpicture.png);
    background-size: cover;
    background-position: center;
    /* z-index: 2; */
}



.container{
    padding: 5px 5%;
    /* z-index: 2; */
}

nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.logo{
    width: 140px;
    /* z-index: 2; */
}

nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}

nav ul li a{
    color: white;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}

nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #1e90ff;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}

nav ul li a:hover::after{
    width: 100%;
}

.header-text{
    color: whitesmoke;
}

.header-text h1{
    font-size: 60px;
    margin-top: 20%;
    /* z-index: 2;*/
}    

/* .header-text h5{
    z-index: 2;
} */

.header-text h1 span{
    color: #0000ff;
    font-size: 70px;
}


/* the about page */
#about{
    padding: 80px 0;
    color: #ababab;
}

.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.about-col1{
    flex-basis: 35%; /* width of the column*/
}

.about-col1 img{
    width: 100%;
    border-radius: 60px; /*to make image edge round*/
}

.about-col2{
    flex-basis: 60%; /* width of the column*/
}

.about-col2 h1 span{
    color: #0000ff;
}

.sub-title{
    font-size: 70px;
    font-weight: 600;
    color: aliceblue;
}

.tab-titles{
    display: flex;
    margin: 20px 0 40px;
}

.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}

.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    background: #0000ff;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}


.tab-links.active-link::after{
    width: 50%;
}

.tab-contents ul li{
    list-style: none;
    max-width: 10px 0;
}

.tab-contents ul li span{
    color: #1e90ff;
    font-size: 14px;
}

.tab-contents{
    display: none;
}

.tab-contents.active-tab{
    display: block;
}



/* services */
#services{
    padding: 30px 0;

}

.services-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.services-list div{
    background-color: #262626;
    color: white;
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-radius: 30px;
    transition: background 0.5s, transform 0.5s;
}

.services-list div i{
    font-size: 50px;
    margin-bottom: 30px;
}

.services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}

.services-list div a{
    text-decoration: none;
    color: #fff;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}

.services-list div:hover{
    background-color: #1e90ff;
    transform: translateY(-10px);
}

.sub-title h6{
    color: #1e90ff;
}



/* we offer */
#we-offer{
    padding: 50px;
}

.offer-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.offer{
    border-radius: 10px;
    position: relative;
    overflow: hidden; 
}

.offer img{
    width: 100%;
    border-radius: 10px;
    display: block;
    transition: transform 0.5s;
}

.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6), #0000ff);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0, 40px;
    text-align: center;
    font-size: 20px;
    color: #fff;
    transition: height 1s;
}

.Layer h1{
    font-weight: 500;
    margin-bottom: 20px;
}

.layer a{
    margin-top: 20px;
    color: #0000ff;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}
 
.offer:hover img{
    transform: scale(1.3);
}

.offer:hover .layer{
    height: 100%;
}

.btn{
   display: block;
   margin: 50px auto;
   width: fit-content;
   border: 1px solid #0000ff;
   padding: 14px 50px;
   border-radius: 6px;
   text-decoration: none;
   color: #fff;
   transition: background 0.5s;
}

.btn:hover{
    background: #0000ff;
}




/* contact */
.contact-left{
    flex: 35%;
}

.contact-right{
    flex-basis: 60%;
}

.contact-left p{
    margin-top: 30px;
    color: white;
}

.contact-left p i{
    color: #0000ff;
    margin-right: 15px;
    font-size: 25px;
}

.social-icons{
    margin-top: 30px;
}

.social-icons a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform 1s;
}

.social-icons a:hover{
    color: #0000ff;
    transform: translateY(-5px);

}

.btn.btn2{
    display: inline-block;
    background: #0000ff;
}

.contact-right form{
    width: 100%;
}

form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 15px;
    color: #fff;
    font-size: 18px;
    border-radius: 12px;
}

form .btn2{
    padding: 14px 60px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}


.copyright{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: #262626;
    color: #fff;
    font-weight: 300;
    margin-top: 20px;
}

.copyright i{
    color: #0000ff;
}




/* css for small screen */
nav .fa-regular, nav .fa-sharp{
    display: none;
}

@media only screen and (max-width : 600px){
    /* home  */
    #header{
        background-image: url(../images/smallerScreen.png);
    }
    .header-text{
        font-size: 16px;
    }
    .header-text h1{
        font-size: 20px;
        margin-top: 80%;
    }
    .header-text h1 span{
        font-size: 40px;
    }
    nav .fa-regular, nav .fa-sharp{
        display: block;
        font-size: 25px;
        color: antiquewhite;
    }
    /* nav .fa-regular{
        color: #262626;
    }
    .nav .fa-sharp{
        color: white;
    } */
    nav ul{
        background: #0000ff;
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: right 1s;
    }
    nav ul li{
        margin: 25px;
    }

    nav ul .fa-sharp, nav ul .fa-regular{
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }
/* about  */
    .sub-title{
        font-size: 40px;

    }
    .about-col1 , .about-col2{
        flex-basis: 100%;
    }
    .about-col2 img{
        border-radius: 15px;
    }
    .about-col1{
        margin-bottom: 30px;
    }
    .about-col2{
        font-size: 14px;
    }
    .tab-links{
        font-size: 16px;
        margin-right: 20px;
    }
    /* contact us */
    .contact-left, .contact-right{
        flex-basis: 90%;
    }
    .copyright{
        font-size: 14px;
    }
}

#msg{
    color: #61b752;
    margin-top: -40px;
    display: block;
}









